co.aikar.commands.bukkit.contexts

## Class OnlinePlayer

- java.lang.Object
- - co.aikar.commands.bukkit.contexts.OnlinePlayer

Direct Known Subclasses:
  OnlinePlayer

    public class OnlinePlayer
    extends Object

### Field Summary

Fields
`org.bukkit.entity.Player` `player`

### Constructor Summary

Constructors
Constructor and Description
`OnlinePlayer(org.bukkit.entity.Player player)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`org.bukkit.entity.Player` `getPlayer()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### player

    public final org.bukkit.entity.Player player

### Constructor Detail

#### OnlinePlayer

    public OnlinePlayer(org.bukkit.entity.Player player)

### Method Detail

#### getPlayer

    public org.bukkit.entity.Player getPlayer()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`